Package org.eclipse.launchbar.core.internal

# Class LaunchDescriptorTypeInfo

java.lang.Object
org.eclipse.launchbar.core.internal.LaunchDescriptorTypeInfo

public class LaunchDescriptorTypeInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`LaunchDescriptorTypeInfo(org.eclipse.core.runtime.IConfigurationElement element)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`enabled(Object launchObject)`
`String`
`getId()`
`int`
`getPriority()`
`ILaunchDescriptorType`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LaunchDescriptorTypeInfo

public LaunchDescriptorTypeInfo(org.eclipse.core.runtime.IConfigurationElement element)

## Method Details

### getId

public String getId()

### getPriority

public int getPriority()

### getType

public ILaunchDescriptorType getType() throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### enabled

public boolean enabled(Object launchObject) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`